Package relaxngcc.util

## Class SelectiveIterator

- java.lang.Object
- - relaxngcc.util.SelectiveIterator

- All Implemented Interfaces:
    `java.util.Iterator`

      public abstract class SelectiveIterator
      extends java.lang.Object
      implements java.util.Iterator

  Iterator that returns a subset of another iterator by filtering out some of the elements.
  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectiveIterator​(java.util.Iterator base)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `java.lang.Object` | `next()` |
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### SelectiveIterator

          public SelectiveIterator​(java.util.Iterator base)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator`

    - #### next

          public java.lang.Object next()

      Specified by:
        `next` in interface `java.util.Iterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator`